ReportsList insights

List insights

Needs: Reports, Read

Lists Report Builder insights, newest first: id, name, visualization, source, spaces and whether it is protected. Use the insight endpoint for its settings and results.

curl -X GET "https://app.imploy.com.au/api/integrations/v1/reports/insights?query=example_string&space_id=123&page=25&per_page=25" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "data": [
    {
      "id": 31,
      "name": "Hours by week",
      "visualization": "bar",
      "source": "appointments",
      "spaces": [
        "Operations"
      ],
      "protected": false
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 25,
    "total": 1,
    "last_page": 1
  }
}
GET
/reports/insights
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
query
querystring

Match an insight name.

query
space_idinteger

Only insights in this space.

query
pageinteger

Page number, 1 or greater.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Query Parameters

querystring

Match an insight name.

space_idinteger

Only insights in this space.

pageinteger

Page number, 1 or greater.

per_pageinteger

Up to 100.

Responses

OK